
QGIS Application - Bug report #17822

Wrong labels in grids of the designer (CRS changed)

2018-01-09 01:04 AM - Luis Olivares

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.15 Regression?: No

Operating System: Windows 8 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 25718

Description

I found this bug working with a project based on a WGS84 CRS. When I started the designer and put a grid with a WGS84-UTM 14N

CRS I don't see all the labels with the correct system, there are some coordinates with wrong numbers (in the X axis mainly). I watched

this problem since the 2.14 version.

History

#1 - 2018-01-09 03:06 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you attach a project which demonstrates this?

#2 - 2018-01-10 04:15 PM - Luis Olivares

- File Example.rar added

For sure. I attach you a project with a WGS 84 CRS for the whole project and a layout with the output CRS changed to UTM 14N.

#3 - 2018-02-23 05:48 PM - Giovanni Manghi

Please give also a try to QGIS 3 and then report back.

#4 - 2018-08-16 03:25 PM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#6 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Feedback to Closed
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
